<template>
  <a-icon-dropdown-ui
    data-cid="{ BhUserMenuUi }"
    position="right"
    :show-panel="showMenu"
  >
    <template #icon>
      <button
        id="user-menu"
        v-click-outside="hideMenu"
        class="[ flex ][ text-sm ][ border-2 border-transparent rounded-full ][ focus:outline-none focus:border-gray-300 ][ transition duration-150 ease-in-out ]"
        aria-label="User menu"
        aria-haspopup="true"
        @click="toggleMenu"
      >
        <svg-icon name="app/user-avatar" class="h-8 w-8 rounded-full" />
      </button>
    </template>

    <template #panel>
      <a-stack-l class="reset space-y-0">
        <nuxt-link
          :to="{ name: 'login' }"
          role="menuitem"
          class="[ block px-4 py-2 ][ text-sm leading-5 ][ text-gray-700 hover:bg-gray-100 ][ focus:outline-none focus:bg-gray-100 ][ transition duration-150 ease-in-out ]"
        >
          Sortir
        </nuxt-link>
      </a-stack-l>
    </template>
  </a-icon-dropdown-ui>
</template>

<script>
export default {
  name: 'BhUserMenuUi',
  data: () => ({
    showMenu: false,
  }),
  methods: {
    toggleMenu() {
      this.showMenu = !this.showMenu;
    },
    hideMenu() {
      this.showMenu = false;
    },
  },
};
</script>
